Subject: [dns-dir] DNS work in LWIG

From: Brian Haberman <[email-masked]>
Date: Tue, 29 May 2012 09:33:04 -0400

Is anyone on the DNS Directorate following the work of LWIG?  There are 
people proposing to scale down the information contained within the DNS 
responses and I want to make sure there is some clueful people around to 
steer them in the correct direction.

Regards,
Brian

-------- Original Message --------
Subject: Re: [Lwip] Lwip Digest, Vol 20, Issue 3
Date: Tue, 22 May 2012 21:09:39 +0200
From: Antonio Jara <[email-masked]>
To: [email-masked], [email-masked], Yan Wang <[email-masked]>

Dear  Dijk and Yan,

We are also implementing a lightweight version of mDNS and DNS protocol for
constrained environments.

Our approach is mainly focused on the optimizations of the replies included
in the packet, e.g. only include at the beginning the PTR record instead of
the PTR + SRV + AAAA.

It is also considering the options of include some special query to ask
specify TXT tuples, instead of general TXT entries, since the idea is to
describe the devices in a set of TXT records etc...

We are finishing our implementation, therefore, we are highly interested to
write an informational document about the design issues considered for the
lightweight considerations for DNS.

I enclose a paper with some initial considerations, but we are extending it
and implementing it right now on Contiki OS. Therefore, as soon as we have
the final conclusions, guidelines based on the results and stable
implementation. We can start to define this draft.

In conclusion, we would like to know about the interest for this work from
the WG and the possibilities to reach a collaborative approach with Dr.
Wang.

Best regards,
Antonio J. Jara

On Tue, May 22, 2012 at 9:00 PM, <[email-masked]> wrote:

> If you have received this digest without all the individual message
> attachments you will need to update your digest options in your list
> subscription.  To do so, go to
>
> https://www.ietf.org/mailman/listinfo/lwip
>
> Click the 'Unsubscribe or edit options' button, log in, and set "Get
> MIME or Plain Text Digests?" to MIME.  You can set this option
> globally for all the list digests you receive at this point.
>
>
>
> Send Lwip mailing list submissions to
>        [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>        https://www.ietf.org/mailman/listinfo/lwip
> or, via email, send a message with subject or body 'help' to
>        [email-masked]
>
> You can reach the person managing the list at
>        [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Lwip digest..."
>
> Today's Topics:
>
>   1. Re: questions on LWIG (Dijk, Esko)
>
>
> ---------- Forwarded message ----------
> From: "Dijk, Esko" <[email-masked]>
> To: Yan Wang <[email-masked]>, "[email-masked]" <[email-masked]>
> Cc:
> Date: Tue, 22 May 2012 09:57:48 +0000
> Subject: Re: [Lwip] questions on LWIG
>
> Hello Yan,
>
>
>
> the empty sections in the document are currently still open to
> contributions.  As far as I know, nobody is working on these sections now.
> The scope of DNS is indeed not a simplified DNS protocol, but rather
> light-weight implementation techniques of DNS.  In my view that includes
> DNS client used for typical DNS duties; and also multicast-DNS (mDNS).
>
>
>
> regards,
>
> Esko
>
>
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf
> Of *Yan Wang
> *Sent:* Thursday 17 May 2012 8:38
> *To:* [email-masked]
> *Subject:* [Lwip] questions on LWIG
>
>
>
> Hi all,
>
>
>
> I am interested in LWIG group. I read draft-bormann-lwig-guidance-01, and
> the Section 3 is much helpful to my work. But I saw that most chapters in
> the Section 4 only have the title/outline. I dont know whether there is
> nobody interested in them, or they just follow the conventional ways and
> dont need much explanation, or somebody are working on them.
>
>
>
> My current work is focus on DNS, and I know IETF does not want DNS to take
> duties of non-DNS. So what is the defined range of DNS in Section 4.4 in
> this draft? I think it shouldnt be defining a simplified DNS protocol. Is
> it the implementation experience on constrained networks similar to
> dnsmasq/mdns? Please give your kind advices.
>
>
>
>
>
> Best regards,
>
> Yan Wang
>
>
>
> ------------------------------
> The information contained in this message may be confidential and legally
> protected under applicable law. The message is intended solely for the
> addressee(s). If you are not the intended recipient, you are hereby
> notified that any use, forwarding, dissemination, or reproduction of this
> message is strictly prohibited and may be unlawful. If you are not the
> intended recipient, please contact the sender by return e-mail and destroy
> all copies of the original message.
>
> _______________________________________________
> Lwip mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lwip
>
>

---

From: Andrew Sullivan <[email-masked]>
Date: Tue, 29 May 2012 10:51:10 -0400

This message may not come across as very friendly.

On Tue, May 29, 2012 at 09:33:04AM -0400, Brian Haberman wrote:
> Is anyone on the DNS Directorate following the work of LWIG?  There
> are people proposing to scale down the information contained within
> the DNS responses and I want to make sure there is some clueful
> people around to steer them in the correct direction.

Well, I did post a review of a draft that was in the meeting in Paris.
The review, for those who didn't see it, said, "This is a bad idea,
and it's also written by people who cannot spell DNS.  It should not
be pursued for any reason, because it can't be fixed up in any way
that solves any of the problems."  I got a response to the effect,
"Thank you for your feedback.  We will ignore it and continue with our
work.  Please comment again in future."  I'm not sure how many times
I'm willing to repeat that process.

So yes, I am following it.  I've already deleted four draft messages
as being altogether too rude in response to the latest flurry.  ("We
need shorter DNS messages!  So get rid of the Additional section!
Glue?  What's that?")  Honestly, the most recent stuff looks to me
like an excellent example of using the DNS because it's there and you
can.  I'm not sure I want to be the sole Sherpa climbing up to pull
the bodies down.  Anyone else want to help?

A

-- 
Andrew Sullivan
[email-masked]

---

From: Ralph Droms <[email-masked]>
Date: Tue, 29 May 2012 11:08:10 -0400

Brian - thanks for raising this issue; it slipped past my radar.

Andrew - thanks for posting a review of the draft.  Did you post it to the mif mailing list?  I'll look for the thread in the archive.

- Ralph

On May 29, 2012, at 10:51 AM 5/29/12, Andrew Sullivan wrote:

> dns-dir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dns-dir

---

From: Thomas Narten <[email-masked]>
Date: Tue, 29 May 2012 11:11:14 -0400

> Is anyone on the DNS Directorate following the work of LWIG?

Isn't LWIG about shrinking implementations of existing protocols?

Yes, the charter says:

     The group shall also not develop any new protocols or protocol
     behavior modifications beyond what is already allowed by existing
     RFCs, because it is important to ensure that different types of
     devices can work together.

If they are actually modifying or creating new protocols, someone
presumably needs to set them straight. Doubly given Andrew's message.

And might as well be honest and discourage them from doing an
individual submission. Say the IETF generally doesn't care for doing
"optimized" versions of existing protocols and they are likely wasting
their (and other's) time.

Thomas

---

From: Brian Haberman <[email-masked]>
Date: Tue, 29 May 2012 11:18:52 -0400

Hi Andrew,

> I'm willing to repeat that process.

Once I posted this query to the DNS-Dir list, I did dig around and find 
your review of draft-cao-lwig-dns-serv-simp in the list archives.  I 
have not seen any recurrence of that draft on the mailing list, so I am 
not sure what the authors are doing at this point.

The concern I have is with a new piece of work that appears to be trying 
to get rid of portions of the actual DNS response.  See
http://www.ietf.org/mail-archive/web/lwip/current/msg00212.html as well 
as some of the follow-ups.

I wanted to make sure I had some DNS expertise tracking this.  It will 
be helpful when I see the need to step in and stop the silliness.

> the bodies down.  Anyone else want to help?

Given the mission of this WG, I can envision people coming up with all 
sorts of "interesting" ways to use/abuse DNS.  I would appreciate any 
DNS experts helping keep this WG honest.

Regards,
Brian

---

From: Brian Haberman <[email-masked]>
Date: Tue, 29 May 2012 11:26:11 -0400

Hi Thomas,

> presumably needs to set them straight. Doubly given Andrew's message.

That is correct.  The draft Andrew mentioned hasn't gone anywhere within 
the WG.  The message I read was discussing a different approach to 
actually change the content of DNS responses.

> their (and other's) time.

Don't worry.  I am already crafting an e-mail to try and steer the WG 
back on to a more acceptable path.  I just wanted to see what DNS 
expertise has already been tracking the group.

Regards,
Brian

---

From: Andrew Sullivan <[email-masked]>
Date: Tue, 29 May 2012 11:37:30 -0400

Hi,

> Andrew - thanks for posting a review of the draft.  Did you post it to the mif mailing list?  I'll look for the thread in the archive.

lwip, actually -- I think that's the right list.  The thread starts at
http://www.ietf.org/mail-archive/web/lwip/current/msg00198.html.  Note
that there is, on re-reading, an unfortunate sentence at the beginning
that appears to suggest the authors are not good, when I of course
meant my comments.  I have just sent a note to the authors begging
forgiveness and clarifying my intent.  That'll teach me to send
without re-reading, I hope.

Note that there's been some additional recent noise about using the
DNS that isn't reflected in this draft.  I'm particularly alarmed by
the draft that included nice ideas like using +noall to control which
records come back from the DNS server.  The authors don't seem to
understand how the DNS works at all (and in particular, that the
server's decisions are not controlled by the client).

A

-- 
Andrew Sullivan
[email-masked]

---

From: Ralph Droms <[email-masked]>
Date: Tue, 29 May 2012 14:06:40 -0400

On May 29, 2012, at 11:37 AM 5/29/12, Andrew Sullivan wrote:

> http://www.ietf.org/mail-archive/web/lwip/current/msg00198.html.

Right; sorry for the crossed wires, as I'm worrying about DNS in mif, too.

- Ralph

>  Note

---

From: Andrew Sullivan <[email-masked]>
Date: Tue, 29 May 2012 14:34:47 -0400

> Right; sorry for the crossed wires, as I'm worrying about DNS in mif, too.

Which parts?  Because, yes, only I don't think there's a better
answer.

I reviewed the mif server selection document as a participant in the
WG.  While it's a bad idea, it's like democracy: better than all the
others.  The stuff about "more trust" and so on that I think is still
in there is mostly nonsense, of course, but I think it's probably
harmless because I don't think it can be usefully operationalized.

Best,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Ralph Droms <[email-masked]>
Date: Tue, 29 May 2012 15:24:41 -0400

On May 29, 2012, at 2:34 PM 5/29/12, Andrew Sullivan wrote:

> others.

Yes, the mif DNS server selection is the document under review now and thanks for the input.  The doc is going through IETF last call and will be reviewed by the IESG on 6/21.

>  The stuff about "more trust" and so on that I think is still

OK.

- Ralph

---

From: Olafur Gudmundsson <[email-masked]>
Date: Tue, 29 May 2012 16:02:32 -0400

There is a fundamental problem that MIF is running into:
- Operating systems assume there is one single name space on Internet
- Operators want different namespaces on different network connections

==> Mif is trying to satisfy Operators without fixing the underlying 
problem as the next level problem is figuring out what network 
connection an application/user wants to use is real hard.
Even with explicit tagging of applications to connections/namespaces 
there are going to be defaults and the default is going to be wrong
....

	Olafur

---

From: Thomas Narten <[email-masked]>
Date: Wed, 30 May 2012 09:04:11 -0400

> - Operators want different namespaces on different network

Agreed. This WG represents both the best and worst of the IETF. Best
in that folk recognize a problem and want a solution, so we allow them
to form a WG (bottom up at work). Worst in that there is fundamentally
no solution that the IETF can create. So the WG is doomed to produce
useless (or worse) stuff that the IESG and broader community then has
to deal with.

Thomas

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 30 May 2012 13:50:16 -0400

> useless (or worse) stuff that the IESG and broader community then has

To be fair, they are mostly working from actual, shipping solutions
that people are using today.  The things that are in the server
selection document are in fact what Nokia, Apple, and MSFT use now.
There were several occasions on which the authors said, "Really?
Wow.  Ok, we'll do [this other thing]," which is exactly what I'd
expect IETF review to be useful for here.

The fact is that humans want the Internet to be a seamlessly
interconnected network with pockets that only one or two people can
see, without anyone being able to tell the difference.  In other
words, people want magic.  The astonishing thing is that it works at
all.  MIF makes my teeth hurt, my eyes roll, and my stomach lurch, but
it's an excellent example of real protocol attention brought to bear
on _ad hoc_ solutions.  Some of them would be less _ad hoc_ if the
IETF had been less purist about everything when NAT was burgeoning.

A

-- 
Andrew Sullivan
[email-masked]